Bug 391189 - KNS Reviews have mangled headers and i18n() errors
Summary: KNS Reviews have mangled headers and i18n() errors
Status: VERIFIED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: KNewStuff Backend (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-27 23:26 UTC by Nate Graham
Modified: 2018-03-02 14:41 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Comparison between Discover and store.kde.org: mangled headers and i18n errors (674.98 KB, image/png)
2018-02-27 23:26 UTC, Nate Graham
Details
Still broken, just in a different way (232.51 KB, image/png)
2018-03-01 15:03 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-02-27 23:26:19 UTC
Created attachment 111071 [details]
Comparison between Discover and store.kde.org: mangled headers and i18n errors

See attached screenshot. It looks like the reviewer name is being used as the title, and nothing's being set for the reviewer name.
Comment 1 Aleix Pol 2018-03-01 12:53:36 UTC
Git commit 3f0b8f91289741fbd16d30b8607463b2c3e644e0 by Aleix Pol.
Committed on 01/03/2018 at 12:52.
Pushed by apol into branch 'Plasma/5.12'.

Make sure there's a subject, otherwise i18n() goes mental

M  +3    -1    libdiscover/backends/KNSBackend/KNSReviews.cpp

https://commits.kde.org/discover/3f0b8f91289741fbd16d30b8607463b2c3e644e0
Comment 2 Nate Graham 2018-03-01 15:03:49 UTC
Created attachment 111112 [details]
Still broken, just in a different way

Hmm, not sure that fixed it. Now the name is in the right place, but the title is blank. It still looks bad, just in a different way. See attached screenshot.
Comment 3 Aleix Pol 2018-03-02 13:22:20 UTC
Git commit 8a823402b74c1f772036a4a14b449ede20a9a23d by Aleix Pol.
Committed on 02/03/2018 at 13:21.
Pushed by apol into branch 'master'.

Offer an alternative header in case there's no subject for a review

store.kde.org reviews don't have a title nowadays.

M  +2    -1    discover/qml/ReviewDelegate.qml

https://commits.kde.org/discover/8a823402b74c1f772036a4a14b449ede20a9a23d
Comment 4 Nate Graham 2018-03-02 14:41:37 UTC
Verified, much better now!